I NEED HELP!

Dec 17, 2017
1
0
1
11
#1
For some reason I keep opening the modpack it opens on 1.7.10 but it dosent work PLS HELP!